Package groovy.util

# Class ObjectGraphBuilder.ReflectionClassNameResolver

java.lang.Object
groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

All Implemented Interfaces:
  `ObjectGraphBuilder.ClassNameResolver`

Enclosing class:
  `ObjectGraphBuilder`

public class ObjectGraphBuilder.ReflectionClassNameResolver extends Object implements ObjectGraphBuilder.ClassNameResolver
Build objects using reflection to resolve class names.

## Constructor Summary

Constructors
Constructor
Description
`ReflectionClassNameResolver(String root)`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveClassname(String classname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectionClassNameResolver

public ReflectionClassNameResolver(String root)

Parameters:
  `root` - package where the graph root class is located

## Method Details

### resolveClassname

public String resolveClassname(String classname)

Specified by:
  `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
Parameters:
  `classname` - the node name as written on the building code